/*
** SellaNMS
** $Id: event.h,v 1.7 2005/05/15 05:21:17 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_MODULE_OUTPUT_GUI_EVENT_H
#define __DGS_MODULE_OUTPUT_GUI_EVENT_H

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "defaults.h"
#include "util.h"
#include "policy_framework/policy_framework.h"
#include "storage/storage.h"
#include "../gui.h"
#include <stdio.h>
#include <stdlib.h>
#include <stl/slist>
#include <stl/string>

class Event: public Gui {
	public:
		Event();
		virtual ~Event();

	protected:
		virtual RESULT execute();
		virtual RESULT readConfig();
		virtual RESULT printConfig();

		virtual RESULT processPolicyOutput(variable_binding_t &output);
		virtual RESULT processStorageContent();
		virtual RESULT getPolicyStatusList(slist<string> &statusList);

		slist<string> statusList;

	private:
		Storage storage;
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3
*/
